=====
Pykka
=====

Pykka is a Python implementation of the `actor model
<https://en.wikipedia.org/wiki/Actor_model>`_. The actor model introduces some
simple rules to control the sharing of state and cooperation between execution
units, which makes it easier to build concurrent applications.

For details and code examples, see the `Pykka documentation
<https://www.pykka.org/>`_.

Pykka is available from PyPI. To install it, run::

    pip install pykka

Pykka works with CPython 2.7 and 3.5+, as well as PyPy 2.7 and 3.5+.


License
=======

Pykka is copyright 2010-2020 Stein Magnus Jodal and contributors.
Pykka is licensed under the `Apache License, Version 2.0
<https://www.apache.org/licenses/LICENSE-2.0>`_.


Project resources
=================

- `Documentation <https://www.pykka.org/>`_
- `Source code <https://github.com/jodal/pykka>`_
- `Issue tracker <https://github.com/jodal/pykka/issues>`_

.. image:: https://img.shields.io/pypi/v/Pykka.svg
    :target: https://pypi.org/project/Pykka/
    :alt: Latest PyPI version

.. image:: https://img.shields.io/circleci/project/github/jodal/pykka/develop.svg
    :target: https://circleci.com/gh/jodal/pykka
    :alt: CircleCI build status

.. image:: https://img.shields.io/readthedocs/pykka.svg
    :target: https://www.pykka.org/
    :alt: Read the Docs build status

.. image:: https://img.shields.io/codecov/c/github/jodal/pykka/develop.svg
    :target: https://codecov.io/gh/jodal/pykka
    :alt: Test coverage
